#include "SlideShowWinData.h"
#include <qlabel.h>
#include <qmovie.h>
#include <qpushbutton.h>
#include <qstring.h>

#ifndef SLIDESHOWWIN1_H
#define SLIDESHOWWIN1_H

class SlideShowWin : public SlideShowWinData
{
    Q_OBJECT

public:
	SlideShowWin(int n,QString **files,QString dir);
	~SlideShowWin();

public slots:

	void mousePressEvent ( QMouseEvent * ) ;
	void keyPressEvent ( QKeyEvent * e ) ;
	void showEvent ( QShowEvent * );
	
private:

	int num_files,current_file;

	QString **filenames;
	
	void nextImage();
	
	QPixmap **pages;
	
	int full_screen;
};

#endif
